module Renzokugen
  class Shelve
    def initialize(zone, number, letter)
      @zone = zone
      @number = number 
      @letter = letter
    end

    def to_s
      "#{@zone}.#{fill_number}#{@number}.#{@letter}"
    end

    def fill_number
      if @number.length == 1
        '00'
      elsif @number.length == 2
        '0'
      else
        ''
      end
    end
  end
end
